Skip to navigation

Poll Compute Work

View as Markdown

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

project_idstringRequired
attachment_idstringRequired

Query parameters

wait_secondsintegerOptional0-30Defaults to 0
limitintegerOptional1-100Defaults to 20

Response

Successful Response
attachmentobject
executionobject or null
execution_phaseenum
Allowed values:
issued_operationslist of objects
live_handleslist of objects
operationslist of objects
poll_after_secondsintegerOptionalDefaults to 1
transportenumOptionalDefaults to poll

Transport the current blocking turn’s harness selects for this attachment. Use the executor channel only while this is ‘channel’; otherwise poll this route.

Allowed values:

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
503
Service Unavailable Error